/*	Public domain	*/

typedef struct sg_sphere {
	struct sg_geom _inherit;
	M_Real d;			/* Sphere diameter */
} SG_Sphere;

#define SGSPHERE(n) ((SG_Sphere *)(n))

__BEGIN_DECLS
extern SG_NodeClass sgSphereClass;

SG_Sphere *SG_SphereNew(void *, const char *, const M_Sphere *);

#define  SG_SphereColor(ln,c)		SG_GeomColor(SGGEOM(ln),(c))
#define  SG_SphereWidth(ln,wd)		SG_GeomLineWidth(SGGEOM(ln),(wd))
#define  SG_SphereStipple(ln,f,p)	SG_GeomLineStipple(SGGEOM(ln),(f),(p))
__END_DECLS
