/*	Public domain	*/

#ifndef _FREESG_MAP_NODESEL_H_
#define _FREESG_MAP_NODESEL_H_
#include <freesg/map/begin.h>

__BEGIN_DECLS
void MAP_NodeselBegin(MAP_View *);
void MAP_NodeselEnd(MAP_View *);

void MAP_NodeselBeginMove(MAP_View *);
void MAP_NodeselUpdateMove(MAP_View *, int, int);
void MAP_NodeselEndMove(MAP_View *);

int MAP_NodeselCopy(MAP_Tool *, AG_KeySym, int, void *);
int MAP_NodeselPaste(MAP_Tool *, AG_KeySym, int, void *);
int MAP_NodeselCut(MAP_Tool *, AG_KeySym, int, void *);
int MAP_NodeselKill(MAP_Tool *, AG_KeySym, int, void *);
__END_DECLS

#include <freesg/map/close.h>
#endif /* _FREESG_MAP_NODESEL_H_ */
